Replaces the schema and/or data of a Big Table
Overwrite an existing Big Table by clearing all rows and (optionally) adding new data. Row IDs for any added rows are returned in the response in the same order as the input row data is passed in the request. Row data may be passed in JSON, CSV, or TSV format. If a column is not included in the passed row data, it will be empty in the added row. If a column is passed that does not exist in the updated table schema, or with a value that does not match the column’s type, the default behavior is for no action to be taken and the API call to return an error. However, you can control this behavior with theDocumentation Index
Fetch the complete documentation index at: https://apidocs.glideapps.com/llms.txt
Use this file to discover all available pages before exploring further.
onSchemaError query parameter.
onSchemaError=updateSchema query parameter, or stash the CSV/TSV data and pass a JSON request body referencing the stash ID.
Clear table data
rows field:Reset table data
rows field (being sure that row object structure matches the table schema):Reset table data from Stash
$stashID reference in the rows field instead of providing the data inline:Batch update table rows
limit query parameter because you want to fetch all rows in as few requests as possible.continuation was returned in step 1, repeat steps 1-3, passing the continuation query parameter to Get Rows until all rows have been fetched, modified, and stashed.Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Allow asynchronous processing, which will return a job ID. Note that this does not force asynchronouys processing. The caller must handle both synchronous and asynchronous responses.
true, false ETag of the current table version. If provided, the request will fail if the table has been updated since the given version. See Data Versioning.
^"[0-9]+"$ID of the table, e.g., 2a1bad8b-cf7c-44437-b8c1-e3782df6
"2a1bad8b-cf7c-44437-b8c1-e3782df6"
The action to take when the passed data does not match the table schema:
abort: Abort the entire operation and return an error.dropColumns: Ignore the data that caused the error, and do not import those columns in the affected rows.updateSchema: Update the schema as needed to add any missing columns or widen the data types of existing columns, and then import the data from them.abort, dropColumns, updateSchema "updateSchema"
A row object conforming to the schema of the table, where keys are the column IDs and values are the column values:
{
"fullName": "Alex Bard",
"invoiceDate": "2024-07-29T14:04:15.561Z",
"totalAmount": 34.50,
"amountPaid": 0
}{
"fullName": "Alex Bard",
"invoiceDate": "2024-07-29T14:04:15.561Z",
"totalAmount": 34.5,
"amountPaid": 0
}The schema of the table as a collection of column definitions.
{
"columns": [
{
"id": "fullName",
"displayName": "Full Name",
"type": "string"
},
{
"id": "invoiceDate",
"displayName": "Invoice Date",
"type": "dateTime"
},
{
"id": "totalAmount",
"displayName": "Total",
"type": "number"
},
{
"id": "amountPaid",
"displayName": "Paid",
"type": "number"
}
]
}